# Generated from optimum-energy-rubocop-0.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name optimum-energy-rubocop

Name: rubygem-%{gem_name}
Version: 0.8.0
Release: 1%{?dist}
Summary: The shared Rubocop configuration for Optimum Energy
License: MIT
URL: https://github.com/optimiumenergyco/optimum-energy-rubocop
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
The shared Rubocop configuration for Optimum Energy.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION.txt
%{gem_instdir}/bin
%{gem_instdir}/codeship-services.yml
%{gem_instdir}/codeship-steps.yml
%{gem_instdir}/deployment.env.encrypted
%{gem_instdir}/example
%{gem_instdir}/optimum_energy_rubocop.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/optimum-energy-rubocop.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.8.0-1
- Initial package
